Module java.desktop
Package javax.swing.plaf.synth

# Interface SynthIcon

All Superinterfaces:
  `Icon`

    public interface SynthIcon
    extends Icon

An icon that is passed a `SynthContext`. Subclasses need only implement the variants that take a `SynthContext`, but must be prepared for the `SynthContext` to be null.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getIconHeight​(SynthContext context)` | Returns the icon's height for the given synth context.
`int` | `getIconWidth​(SynthContext context)` | Returns the icon's width for the given synth context.
`void` | `paintIcon​(SynthContext context, Graphics g, int x, int y, int width, int height)` | Paints the icon at the specified location for the given synth context.

### Methods declared in interface javax.swing.Icon

`getIconHeight, getIconWidth, paintIcon`

## Method Details

### paintIcon

void paintIcon​(SynthContext context, Graphics g, int x, int y, int width, int height)
Paints the icon at the specified location for the given synth context.

Parameters:
  `context` - identifies hosting region, may be null.
  `g` - the graphics context
  `x` - the x location to paint to
  `y` - the y location to paint to
  `width` - the width of the region to paint to, may be 0
  `height` - the height of the region to paint to, may be 0

### getIconWidth

int getIconWidth​(SynthContext context)
Returns the icon's width for the given synth context.

Parameters:
  `context` - `SynthContext` requesting the Icon, may be null.
Returns:
  an int specifying the width of the icon.

### getIconHeight

int getIconHeight​(SynthContext context)
Returns the icon's height for the given synth context.

Parameters:
  `context` - `SynthContext` requesting the Icon, may be null.
Returns:
  an int specifying the height of the icon.